.\" Copyright 2004 Red Hat Inc., Durham, North Carolina.
.\" All Rights Reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation on the rights to use, copy, modify, merge,
.\" publish, distribute, sublicense, and/or sell copies of the Software,
.\" and to permit persons to whom the Software is furnished to do so,
.\" subject to the following conditions:
.\"
.\" he above copyright notice and this permission notice (including the
.\" next paragraph) shall be included in all copies or substantial
.\" portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
.\" NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT AND/OR THEIR SUPPLIERS
.\" BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
.\" ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
.\" CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.TH DMXGetInputCount __libmansuffix__ __vendorversion__
.SH NAME
DMXGetInputCount \- determine number of input devices
.SH SYNOPSIS
.B #include <X11/extensions/dmxext.h>
.sp
.nf
.BI "Bool DMXGetInputCount(Display " *dpy ,
.BI "                      int " *input_count );
.fi
.SH DESCRIPTION
.B DMXGetInputCount()
returns the number of input devices connected to the
.BR Xdmx (1)
server in
.IR input_count .
This number is the same as that returned by
.BR XListInputDevices (__libmansuffix__),
but is available even when the XInput extension is not supported.
.SH "RETURN VALUE"
.B DMXGetInputCount()
returns
.B True
unless there is a protocol error.
.SH "SEE ALSO"
.BR DMXGetInputAttributes "(__libmansuffix__), "
.BR XListInputDevices "(__libmansuffix__), "
.BR DMX "(__libmansuffix__), " Xdmx (1)
